﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234238

namespace SfChartAxis
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }
    }

    public class ViewModel : ObservableCollection<DataValues>
    {
        public ViewModel()
        {
            Add(new DataValues(-5, 23));
            Add(new DataValues(-4, 15));
            Add(new DataValues(-3, 16));
            Add(new DataValues(-2, -22));
            Add(new DataValues(-1, 37));
            Add(new DataValues(0, 13));
            Add(new DataValues(1, 23));
            Add(new DataValues(2, 15));
            Add(new DataValues(3, 16));
            Add(new DataValues(4, -17));
            Add(new DataValues(5, 12));
        }
    }

    public class DataValues
    {
        public double Year { get; set; }

        public double Count { get; set; }

        public DataValues(double year, double count)
        {
            Year = year;
            Count = count;
        }
    }
}
